<?php
@session_start();
require_once $_SERVER['DOCUMENT_ROOT']."/includes/start.php";
if(isset($_SESSION['auth']) and $_SESSION['auth']==1){

if(eregi("[^0-9]" , $_GET['rm'])){
header ("Location: /enter.php?"); exit;
}

if(eregi("[^0-9]" , $_GET['who'])){
header ("Location: /room.php?rm=$rm"); exit;
}

if(isset($HTTP_GET_VARS['rm'])) {$rm = $HTTP_GET_VARS['rm'];}
$rm = mysql_escape_string($rm);
mysql_query ("Select rm from rooms where rm='".$rm."';");
if(mysql_affected_rows() == 0){
header ("Location: /enter.php?"); exit;
}

if(isset($HTTP_GET_VARS['who'])) {$who = $HTTP_GET_VARS['who'];}
$who = mysql_escape_string($who);
mysql_query ("Select id from users where id='".$who."';");
if(mysql_affected_rows() == 0){
header ("Location: room.php?rm=$rm"); exit;
}

if($who==$usr[id]){
header ("Location: room.php?rm=$rm"); exit;
}

$lwho = mysql_query( "select `login`,`love` from `users` where id='$who';" );
$lwho_info = @mysql_fetch_array( @$lwho );
$who_login = $lwho_info['login'];

$lwho_love = mysql_query( "select `login`,`love` from `users` where id='$lwho_info[love]';" );
$lwho_love_info = @mysql_fetch_array( @$lwho_love );

switch ($_GET['go']){
default:

echo $_up;
echo '<div class="list"><form action="?go=add&amp;rm='.$rm.'&amp;who='.$who.'" method="post">
Сообщение:<br><textarea name="text" rows="3" cols="60%"></textarea><br>';

echo 'Отправить <b>'.$who_login.'</b> приватное сообщение <input type="checkbox" name="type"/>';
echo '<br><input type="submit" value="Отправить"/>
</form></div>';

echo '<div>
<a href="/u'.$who.'">Посмотреть профиль <b>'.$who_login.'</b></a><br>
<a href="/">Отправить <b>'.$who_login.'</b> личное сообщение</a><br>';
///слапы
echo '
<br><div class="list" style="border-bottom:1px solid white;"><form action="?go=slaps&amp;rm='.$rm.'&amp;who='.$who.'" method="post">
Что зделать с '.$who_login.' :) ?<br>
<select name="slap">
<option value="1">пристать</option>
<option value="2">спать</option>
<option value="3">отыметь</option>
<option value="4">обнять</option>
<option value="5">целовать</option>
<option value="6">пнуть</option>
<option value="7">пилить</option>
<option value="8">танец</option>
<option value="9">цветы</option>
<option value="10">привет</option>
<option value="11">библиотека</option>
<option value="12">продать</option>
<option value="13">апстену</option>
<option value="14">трахнуть</option>
<option value="15">предупредить</option>
<option value="16">бухнуть</option>
<option value="17">прощение</option>
<option value="18">дружба</option>
</select><br>
<input type="submit" value="OK"/>
</form>
</div>
';


if($usr['status']>3){
echo '<br><b style="color:red">Действия:</b><br><br>';

if($lwho_info['love']==""){
echo '<div class="list" style="border-bottom:1px solid white;padding:5px;">
<form action="?go=new_family&amp;rm='.$rm.'&amp;who='.$who.'" method="post">
Поженить '.$who_login.' с<br>
ID:<br><input name="_id"/><br>
<input type="submit" value="OK"/>
</form>
</div>';
}else{

echo '
<div class="list" style="border-bottom:1px solid white;padding:5px;">
<a href="?go=del_family&amp;rm='.$rm.'&amp;who='.$who.'"><font color="red">Развести '.$who_login.' с '.$lwho_love_info['login'].'</font></a>
</form>
</div>';

}

echo '<div class="list" style="border-bottom:1px solid white;padding:5px;"><form action="?go=ban&amp;rm='.$rm.'&amp;who='.$who.'" method="post">
Забанить '.$who_login.' на<br>
<select name="on">
<option value="1">5 мин.</option>
<option value="2">15 мин.</option>
<option value="3">30 мин.</option>
<option value="4">1 час</option>
</select><br>
Причина:<br><input name="why"/><br><input type="submit" value="OK"/>
</form>
</div>
<div class="list" style="border-bottom:1px solid white;padding:5px;"><form action="?go=amulet&amp;rm='.$rm.'&amp;who='.$who.'" method="post">
Подарить '.$who_login.' амулет<br>
<select name="color">
<option value="1">Красный</option>
<option value="2">Оранжевый</option>
<option value="3">Серый</option>
</select><br>
Причина:<br><input name="why"/><br><input type="submit" value="OK"/>
</form>
</div>
<div class="list" style="border-bottom:1px solid white;padding:5px;"><form action="?go=black_amulet&amp;rm='.$rm.'&amp;who='.$who.'" method="post">
Подарить '.$who_login.' черный амулет<br>
Причина:<br><input name="why"/><br><input type="submit" value="OK"/>
</form>
</div>
<div class="list" style="border-bottom:1px solid white;padding:5px;"><form action="?go=status&amp;rm='.$rm.'&amp;who='.$who.'" method="post">
Назначить '.$who_login.'<br>

<select name="status">
<option value="1">Пользователь</option>
<option value="2">Бывалый</option>
<option value="3">VIP</option>
<option value="4">Шаман</option>
<option value="5">Модератор</option>
<option value="6">Администратор</option>
</select>
<br><input type="submit" value="OK"/>
</form>
</div>
<div class="list" style="border-bottom:1px solid white;padding:5px;"><form action="?go=pred&amp;rm='.$rm.'&amp;who='.$who.'" method="post">
Пердупредить '.$who_login.'<br>
Причина:<br><input name="why"/><br><input type="submit" value="OK"/>
</form>
</div>';
}
echo '</div>';


echo '<div><a href="/room.php?rm='.$rm.'">В комнату</a></div>';

echo $_down;

break;

case 'new_family':
if($usr['status']>3){

$_id=$_POST['_id'];

if($_id==$who){

header ("Location: ?rm=$rm&who=$who"); exit;

}


if(empty($_id)){

header ("Location: ?rm=$rm&who=$who"); exit;

}

$c_id=mysql_query("SELECT * FROM `users` WHERE `id`='$_id'");
$c_id_inf=mysql_fetch_array($c_id);
$c_id =mysql_num_rows($c_id);

if($c_id== 0){

header ("Location: ?rm=$rm&who=$who"); exit;

}

if($c_id_inf['love']!==""){

header ("Location: ?rm=$rm&who=$who"); exit;

}


mysql_query("update users set love=$_id where id='$who' limit 1");
mysql_query("update users set love=$who where id='$_id' limit 1");

$text=''.$who_login.' и '.$c_id_inf['login'].' поженились .';
mysql_query( "Insert into msg set id=0, rm='1', from_id='', for_id='', text='".$text."', type='PRESENT', time='".date("H:i:s")."'" );

header ("Location: /room.php?rm=$rm"); exit;

}
break;

case 'del_family':
if($usr['status']>3){
$w =mysql_query("SELECT * FROM `users` WHERE `id`='$lwho_info[love]'");
$w_inf=mysql_fetch_array($w);
$w =mysql_num_rows($w);

mysql_query("update users set love='' where id='$who' limit 1");
mysql_query("update users set love='' where id='$lwho_info[love]' limit 1");

$text=''.$who_login.' и '.$w_inf['login'].' разошлись .';
mysql_query( "Insert into msg set id=0, rm='1', from_id='', for_id='', text='".$text."', type='PRESENT', time='".date("H:i:s")."'" );

header ("Location: /room.php?rm=$rm"); exit;
}
break;

case 'ban':

if($usr['status']>3){

$on=$_POST['on'];
$why=$_POST['why'];

if(empty($why)){

header ("Location: ?rm=$rm&who=$who"); exit;

}

if($on==1){

$mktime=time();
$do=$mktime+(5*60);
$do_text='5 минут';

}

if($on==2){

$mktime=time();
$do=$mktime+(15*60);
$do_text='15 минут';

}

if($on==3){

$mktime=time();
$do=$mktime+(30*60);
$do_text='30 минут';

}


if($on==4){

$mktime=time();
$do=$mktime+(60*60);
$do_text='1 час';

}

mysql_query('INSERT INTO `ban` VALUES("","'.$who.'","'.$usr[id].'","'.$why.'","'.time().'","'.$do.'")');

$text='Шаман [<font color="black">'.$usr['login'].'</font>] заблокировал посетителя [<font color="black">'.$who_login.'</font>] на [<font color="black">'.$do_text.'</font>], по причине: [<font color=black>'.$why.'</font>]';
mysql_query( "Insert into msg set id=0, rm='".$rm."', from_id='".$usr[id]."', for_id='', text='".$text."', type='PRESENT', time='".date("H:i:s")."'" );

///Модератор [SplaTe] заблокировал посетителя [rupert] на [1 час], по причине: [Хамство]

header ("Location: /room.php?rm=$rm"); exit;

}

break;


case 'slaps':

$slap=$_POST['slap'];
if($slap==1){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> самым наглым образом пристает к <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==2){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> хочет переспать с <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==3){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> хочет отыметь <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==4){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> обнимает очень сильно и нежно <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==5){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> целует страстно в губы <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==6){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> дает конкретного пинка <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==7){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> отпилит сейчас яйца <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==8){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> приглашает на танец <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==9){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> дарит цветы <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==10){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> держи пять <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==11){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> приглашает <font color="#FF0000"><u>'.$who_login.'</u></font> в библиотеку .';
}
if($slap==12){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> продает <font color="#FF0000"><u>'.$who_login.'</u></font> в рабство .';
}
if($slap==13){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> бьет <font color="#FF0000"><u>'.$who_login.'</u></font> головой об стену .';
}
if($slap==14){
$text='Не долго думая <font color="#FF000"><u>'.$usr['login'].'</u></font> жестко трахнул <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==15){
$text='Последний раз <font color="#FF000"><u>'.$usr['login'].'</u></font> предупреждает <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==16){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> предлогает бухнуть <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==17){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> просит прощение у <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}
if($slap==18){
$text='<font color="#FF000"><u>'.$usr['login'].'</u></font> предлагает подружиться <font color="#FF0000"><u>'.$who_login.'</u></font> .';
}

mysql_query( "Insert into msg set id=0, rm='".$rm."', from_id='".$usr[id]."', for_id='', text='".$text."', type='slap', time='".date("H:i:s")."'" );
mysql_query("update users set points=points+1 where id='$usr[id]' limit 1");
mysql_query("update users set posts=posts+1 where id='$usr[id]' limit 1");
mysql_query("update users set rating=rating+1 where id='$usr[id]' limit 1");

header ("Location: /room.php?rm=$rm"); exit;

break;

case 'add':
$text=$_POST['text'];
$type=$_POST['type'];
$text=badwords($text);
$text=russian($text);
$text=smiles($text);
if(empty($text)){ header ("Location: /room.php?rm=$rm"); exit; }
if(isset($type) && strlen($type)>0){ $tp='private'; }

mysql_query( "Insert into msg set id=0, rm='".$rm."', from_id='".$usr[id]."', for_id='$who', text='".$text."', type='$tp', time='".date("H:i:s")."'" );
mysql_query("update users set points=points+1 where id='$usr[id]' limit 1");
mysql_query("update users set posts=posts+1 where id='$usr[id]' limit 1");
mysql_query("update users set rating=rating+1 where id='$usr[id]' limit 1");

header ("Location: /room.php?rm=$rm"); exit;

break;



case 'amulet':
if($usr['status']>3){

$why=$_POST['why'];
$color=$_POST['color'];

if($color==1){

$color_name='красный';
$color_name_add='red';

}

if($color==2){

$color_name='оранжевый';
$color_name_add='orange';

}
if($color==3){

$color_name='серый';
$color_name_add='gray';

}

if(empty($why)){ header ("Location: ?rm=$rm&who=$who"); exit; }

$text='Шаман [<font color="black">'.$usr['login'].'</font>] подарил '.$color_name.' амулет посетителю [<font color="black">'.$who_login.'</font>]! причина: ['.$why.']';
mysql_query( "Insert into msg set id=0, rm='".$rm."', from_id='".$usr[id]."', for_id='', text='".$text."', type='PRESENT', time='".date("H:i:s")."'" );

$amuls = mysql_result(mysql_query("SELECT count(*) FROM `amuls`"), 0);
$id_amul = mysql_insert_id();
mysql_query("INSERT INTO `amuls`(`id`,`id_user`,`color`)
VALUES ('$id_amul','$who','$color_name_add')");
if($color==1){
mysql_query("update users set points=points+100 where id='$who' limit 1");
}elseif($color==2){
mysql_query("update users set points=points+250 where id='$who' limit 1");
}
if($color==3){
mysql_query("update users set points=points+500 where id='$who' limit 1");
}

header ("Location: /room.php?rm=$rm"); exit;

}else{

header ("Location: room.php?rm=$rm");

}
break;

case 'status':
if($usr['status']>3){
$status=$_POST['status'];
if($status=="1"){
$status_name='Пользователь';
}
if($status=="2"){
$status_name='Бывалый';
}
if($status=="3"){
$status_name='VIP';
}
if($status=="4"){
$status_name='Шаман';
}
if($status=="5"){
$status_name='Модератор';
}
if($status=="6"){
$status_name='Администратор';
}
$text='Посетителю [<font color="black">'.$who_login.'</font>] присвоен статус [<font color="black">'.$status_name.'</font>]';
mysql_query( "Insert into msg set id=0, rm='".$rm."', from_id='".$usr[id]."', for_id='', text='".$text."', type='PRESENT', time='".date("H:i:s")."'" );
mysql_query("update users set status=$status where id='$who' limit 1");

header ("Location: /room.php?rm=$rm"); exit;
}else{
header ("Location: room.php?rm=$rm");
}
break;


case 'black_amulet':
if($usr['status']>3){
$why=$_POST['why'];
if(empty($why)){ header ("Location: ?rm=$rm&who=$who"); exit; }
$text='Шаман [<font color="black">'.$usr['login'].'</font>] подарил <font color="black">черный</font> амулет посетителю [<font color="black">'.$who_login.'</font>]! причина: ['.$why.']';
mysql_query( "Insert into msg set id=0, rm='".$rm."', from_id='".$usr[id]."', for_id='', text='".$text."', type='PRESENT', time='".date("H:i:s")."'" );


$amuls = mysql_result(mysql_query("SELECT count(*) FROM `amuls`"), 0);
$id_amul = mysql_insert_id();
mysql_query("INSERT INTO `prokl`(`id`,`id_user`,`from_id`,`why`)
VALUES ('$id_amul','$who','$usr[id]','$why')");
mysql_query("update users set points=points-100 where id='$who' limit 1");

header ("Location: /room.php?rm=$rm"); exit;
}else{
header ("Location: room.php?rm=$rm");
}
break;

case 'pred':
if($usr['status']>3){
$why=$_POST['why'];
$text='Посетитель [<font color="black">'.$who_login.'</font>] получает предупреждение от Шамана [<font color="black">'.$usr['login'].'</font>], по причине: [<font color=black>'.$why.'</font>]';
mysql_query( "Insert into msg set id=0, rm='".$rm."', from_id='".$usr[id]."', for_id='', text='".$text."', type='PRESENT', time='".date("H:i:s")."'" );

header ("Location: /room.php?rm=$rm"); exit;
}else{
header ("Location: room.php?rm=$rm");
}
break;
}
}else{

header ("Location: /?"); exit;

}
?>